/* theme.css */

[data-bs-theme="dark"] {
    --bs-body-bg: #212529;
    --bs-body-color: #dee2e6;
    --bs-secondary-bg: #343a40;
    --bs-tertiary-bg: #2b3035;
    --bs-border-color: #495057;
    --bs-card-bg: #2b3035;
    --bs-modal-bg: #2b3035;
    --bs-dark-rgb: 255, 255, 255;
}

html[data-bs-theme="dark"] a,
html[data-bs-theme="dark"] a:visited {
    color: #87CEFA !important; /* Light Sky Blue */
}

html[data-bs-theme="dark"] .dropdown-item {
    color: #87CEFA !important;
}

html[data-bs-theme="dark"] .dropdown-item:hover {
    color: #fff !important;
    background-color: rgba(255, 255, 255, 0.15) !important;
}

[data-bs-theme="dark"] .navbar-light {
    --bs-navbar-color: rgba(255, 255, 255, 0.55);
    --bs-navbar-hover-color: rgba(255, 255, 255, 0.75);
    --bs-navbar-disabled-color: rgba(255, 255, 255, 0.25);
    --bs-navbar-brand-color: #fff;
    --bs-navbar-brand-hover-color: #fff;
}

[data-bs-theme="dark"] .accordion-button {
    background-color: var(--bs-secondary-bg);
    color: var(--bs-body-color);
}

[data-bs-theme="dark"] .accordion-button:not(.collapsed) {
    color: var(--bs-body-color);
}

[data-bs-theme="dark"] .accordion-button:not(.collapsed)::after {
    filter: brightness(0) invert(1);
}

[data-bs-theme="dark"] .list-group-item {
    background-color: var(--bs-tertiary-bg);
    border-color: var(--bs-border-color);
}

[data-bs-theme="dark"] .modal-content, 
[data-bs-theme="dark"] .card {
    background-color: var(--bs-tertiary-bg);
}

[data-bs-theme="dark"] .list-group-item .btn-group .btn i {
    filter: brightness(0) invert(1);
}

/* Dark mode styles for Google Maps InfoWindow */
[data-bs-theme="dark"] .info-window-content {
    color: #212529; /* Dark text color for light backgrounds */
}

[data-bs-theme="dark"] .info-window-content h3,
[data-bs-theme="dark"] .info-window-content h4,
[data-bs-theme="dark"] .info-window-content h5 {
    color: #000;
}

[data-bs-theme="dark"] .info-window-content a {
    color: #0056b3 !important; /* A darker blue for links */
}

[data-bs-theme="dark"] .info-window-content pre {
    color: #212529;
}

/* Style for Google Maps InfoWindow close button in dark mode */
[data-bs-theme="dark"] .gm-style .gm-ui-hover-effect {
    filter: invert(1);
}
